Bug 1443083 (CVE-2017-3533) - CVE-2017-3533 OpenJDK: newline injection in the FTP client (Networking, 8170222)
Summary: CVE-2017-3533 OpenJDK: newline injection in the FTP client (Networking, 8170222)
Status: CLOSED ERRATA
Alias: CVE-2017-3533
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170218,reported=2...
Keywords: Security
Depends On:
Blocks: 1438752
TreeView+ depends on / blocked
 
Reported: 2017-04-18 12:47 UTC by Tomas Hoger
Modified: 2018-08-01 17:41 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A newline injection flaw was discovered in the FTP client implementation in the Networking component in OpenJDK. A remote attacker could possibly use this flaw to manipulate FTP connections established by a Java application.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-10 13:47:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1108 normal SHIPPED_LIVE Moderate: java-1.8.0-openjdk security and bug fix update 2017-04-21 06:10:52 UTC
Red Hat Product Errata RHSA-2017:1109 normal SHIPPED_LIVE Moderate: java-1.8.0-openjdk security update 2017-04-20 23:27:18 UTC
Red Hat Product Errata RHSA-2017:1117 normal SHIPPED_LIVE Moderate: java-1.8.0-oracle security update 2017-12-14 20:17:15 UTC
Red Hat Product Errata RHSA-2017:1118 normal SHIPPED_LIVE Moderate: java-1.7.0-oracle security update 2017-12-14 19:52:56 UTC
Red Hat Product Errata RHSA-2017:1119 normal SHIPPED_LIVE Moderate: java-1.6.0-sun security update 2017-12-14 19:49:13 UTC
Red Hat Product Errata RHSA-2017:1204 normal SHIPPED_LIVE Moderate: java-1.7.0-openjdk security update 2017-05-09 14:46:54 UTC
Red Hat Product Errata RHSA-2017:1220 normal SHIPPED_LIVE Moderate: java-1.8.0-ibm security update 2017-05-10 16:44:34 UTC
Red Hat Product Errata RHSA-2017:1221 normal SHIPPED_LIVE Moderate: java-1.7.1-ibm security update 2017-05-10 16:44:04 UTC
Red Hat Product Errata RHSA-2017:1222 normal SHIPPED_LIVE Moderate: java-1.6.0-ibm security update 2017-05-10 16:43:49 UTC
Red Hat Product Errata RHSA-2017:3453 normal SHIPPED_LIVE Important: java-1.8.0-ibm security update 2017-12-13 21:48:15 UTC

Description Tomas Hoger 2017-04-18 12:47:08 UTC
It was discovered that the FTP client implementation in the Networking component of OpenJDK failed to correctly handle user inputs (e.g. usernames and passwords) containing newline characters.  A remote attacker could possibly use this flaw to manipulate an FTP connection opened by a Java application if it could make it access a specially crafted FTP URL.

Blog posts were published that describe how to use this flaw to open ports on firewalls using active FTP connections:

http://blog.blindspotsecurity.com/2017/02/advisory-javapython-ftp-injections.html

and sending mails during XML parsing when use of XML external entities is allowed:

https://shiftordie.de/blog/2017/02/18/smtp-over-xxe/

Comment 1 Tomas Hoger 2017-04-18 22:18:48 UTC
Public now via Oracle CPU April 20167, fixed in Oracle JDK 8u131, 7u141, and 6u151.

External References:

http://www.oracle.com/technetwork/security-advisory/cpuapr2017-3236618.html#AppendixJAVA

Comment 2 Tomas Hoger 2017-04-19 11:29:10 UTC
OpenJDK8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/81ddd5fc5a4e

Comment 3 errata-xmlrpc 2017-04-20 19:28:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:1109 https://access.redhat.com/errata/RHSA-2017:1109

Comment 4 errata-xmlrpc 2017-04-21 02:11:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1108 https://access.redhat.com/errata/RHSA-2017:1108

Comment 5 errata-xmlrpc 2017-04-24 11:17:29 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:1118 https://access.redhat.com/errata/RHSA-2017:1118

Comment 6 errata-xmlrpc 2017-04-24 11:18:25 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:1117 https://access.redhat.com/errata/RHSA-2017:1117

Comment 7 errata-xmlrpc 2017-04-24 11:19:13 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:1119 https://access.redhat.com/errata/RHSA-2017:1119

Comment 8 errata-xmlrpc 2017-05-09 10:47:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1204 https://access.redhat.com/errata/RHSA-2017:1204

Comment 9 errata-xmlrpc 2017-05-10 12:47:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:1222 https://access.redhat.com/errata/RHSA-2017:1222

Comment 10 errata-xmlrpc 2017-05-10 12:49:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary
  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:1221 https://access.redhat.com/errata/RHSA-2017:1221

Comment 11 errata-xmlrpc 2017-05-10 12:51:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary
  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:1220 https://access.redhat.com/errata/RHSA-2017:1220

Comment 12 errata-xmlrpc 2017-12-13 16:51:34 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8
  Red Hat Satellite 5.8 ELS

Via RHSA-2017:3453 https://access.redhat.com/errata/RHSA-2017:3453


Note You need to log in before you can comment on or make changes to this bug.